For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
      • Studio API information
      • GETList Studio Projects
      • POSTUpdate Studio Project
      • GETGet Studio Project
      • POSTCreate Studio Project
      • DELDelete Studio Project
      • POSTConvert Studio Project
      • POSTUpdate Studio Project Content
      • GETList Studio Project Snapshots
      • GETGet Project Muted Tracks
      • STREAMStream Studio Project Audio
      • POSTStream Archive With Studio Project Audio
      • GETList Chapters
      • GETGet Chapter
      • POSTCreate Chapter
      • POSTUpdate Chapter
      • DELDelete Chapter
      • POSTConvert Chapter
      • GETList Chapter Snapshots
      • STREAMStream Chapter Audio
      • POSTCreate Pronunciation Dictionaries
      • POSTCreate Podcast
      • GETGet Chapter Snapshot
      • GETGet Project Snapshot
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenCreativeStudio

Get Project Snapshot

GET
/v1/studio/projects/:project_id/snapshots/:project_snapshot_id
GET
/v1/studio/projects/:project_id/snapshots/:project_snapshot_id
$curl https://api.elevenlabs.io/v1/studio/projects/project_id/snapshots/project_snapshot_id
1{
2 "project_snapshot_id": "aw1NgEzBg83R7vgmiJt6",
3 "project_id": "aw1NgEzBg83R7vgmiJt6",
4 "created_at_unix": 1714204800,
5 "name": "My Project Snapshot",
6 "character_alignments": [],
7 "audio_duration_secs": 123.45
8}
Returns the project snapshot.
Was this page helpful?
Previous

Get generated items

Next
Built with

Path parameters

project_idstringRequired
The ID of the Studio project.
project_snapshot_idstringRequired
The ID of the Studio project snapshot.

Headers

xi-api-keystringOptional

Response

Successful Response
project_snapshot_idstring
The ID of the project snapshot.
project_idstring
The ID of the project.
created_at_unixinteger
The creation date of the project snapshot.
namestring
The name of the project snapshot.
character_alignmentslist of objects
audio_duration_secsdouble
The total duration of the audio in seconds.
audio_uploadmap from strings to any or null

(Deprecated)

zip_uploadmap from strings to any or null

(Deprecated)

Errors

422
Unprocessable Entity Error